Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# bson_iter_key()

## Synopsis

    const char *
    bson_iter_key (const bson_iter_t *iter);

## Parameters

- `iter`: A bson_iter_t.

## Description

Fetches the key for the current element observed by `iter`.

## Returns

A string which should not be modified or freed.

See also

bson_iter_key_len() to retrieve the length of the key in constant time.